<?php
/**
* Luis Leitao
*
* Module Prestashop 
*
*  Module lateralsocialface
*
*  @author    Luis Leitao    <luisleitao>
*  @copyright LuisLeitao LuisLeitao
*  @license   http://opensource.org/licenses/afl-3.0.php   Academic Free License (AFL 3.0)


*/

class Lateralsocialface extends Module {

	public function __construct()
	{
		$this->name = 'lateralsocialface';
		$this->tab = 'social_networks';
		$this->version = '1.0';
		$this->author = 'luisleitaoaudio';
		$this->module_key = 'd00d9e403f3a3a296a409f0dcded94a2';
		$this->dir = '/modules/lateralsocialface/';
		$this->bootstrap = true;   /**important**/
		parent::__construct();
		$this->displayName = $this->l('Lateral Social Face');
		$this->description = $this->l('This module add a lateral block with your fanpage on Facebook.');
	}


	public function install()
	{
		 return parent::install() &&
		$this->registerHook('backOfficeHeader') &&
		$this->registerHook('footer')&&
	    Configuration::updateValue('lateralsocialface_fanpageurl', 'http://www.facebook.com/prestashop');
	
	}

	public function getContent()
	{
        $this->registerHook('backOfficeHeader') ;
		$output = '';
		if (Tools::isSubmit('submit_settings'))
			Configuration::updateValue('lateralsocialface_fanpageurl', Tools::getValue('new_lateral_fanpageurl'), true);
		$output .= '';
		return $output.$this->displayForm();
	}

	public function displayForm()
	{
		$laface_fanpageurl = Configuration::get('lateralsocialface_fanpageurl');
		return '
			<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
						<div class="panel" id="fieldset_0">
							<div class="panel-heading">
							'.$this->l('Configure Lateral Social Face Module').'
							</div>
							<label>'.$this->l('Facebook Page URL').'</label>
								<div class="margin-form">
<input type="text" style="width:400px;" value="'.$laface_fanpageurl.'" id="new_lateral_fanpageurl" 
name="new_lateral_fanpageurl" onchange="changelate();">
									<p class="clear">'.$this->l('The URL of the Facebook Page.').'</p>
								</div>

								<div align="center">
									<input type="submit" name="submit_settings" value="'.$this->l('Save Settings').'" class="button" />
								</div>
						</div>

			</form>
		';
	}

	public function setlateralfaceoptions()
	{
		$laface_fanpageurl = Configuration::get('lateralsocialface_fanpageurl');
		$faceurl = Configuration::get('faceurl');
		$faceurl['lateralsocialface_fanpageurl'] = $laface_fanpageurl;
		return $faceurl;
	}


	public function hookFooter($params)
	{
		$this->registerHook('BackOfficeHeader') ;
		$params = array();
		$lafacearray = $this->setlateralfaceoptions();
		$this->smarty->assign(array('late' => $lafacearray));
		$this->context->controller->addCss(($this->_path).'css/lateralsocialface.css');
		return $this->display(__FILE__, '/views/templates/lateralsocialface.tpl');
	}
	
	public function hookBackOfficeHeader()
	{
		return $this->display(__FILE__, '/views/templates/back.tpl');
	}
}

?>